Fibo Edit
ஒருங்கிணை
bria/fibo-edit/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ta/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-edit/edit",
"input": {}
}
Doitong API மூலம் Fibo Edit மாதிரியை (bria/fibo-edit/edit) அழைக்கவும். முகவர்களுக்கான ஆவணங்கள்: https://doitong.com/ta/developers/models/bria/fibo-edit/edit.md
POST https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
பதிலின் நிலை "queued" அல்லது "running" எனில், அது "succeeded" ஆகும் வரை GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 மூலம் தொடர்ந்து சரிபார்க்கவும்; கோப்புகள் outputs[].url இல் உள்ளன. அதே body-யுடன் POST https://api.doitong.com/v1/quote/bria/fibo-edit/edit அனுப்பினால், இயக்கத்திற்கு முன் துல்லியமான விலை கிடைக்கும்.
இந்தக் கோரிக்கை: $0.04 40 API கிரெடிட்கள் இந்தப் பக்கத்தில் இயக்குங்கள்
உங்கள் புதிய API விசை. இது இப்போது மட்டும் காட்டப்படுகிறது; இது ஏற்கனவே கீழே உள்ள குறியீட்டிலும் API விசை புலத்திலும் உள்ளது. இதை ரகசியமாக வைத்திருங்கள்: உலாவியில் இயங்கும் குறியீட்டில் இதை ஒருபோதும் வைக்காதீர்கள்.
உங்கள் முதல் முடிவு இங்கே வரும்
கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.
கோரிக்கையை உருவாக்கு
மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.
/run/bria/fibo-edit/edit?wait=20
விலை → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-edit/edit",
"input": {},
"wait_seconds": 20
}
}
}
இந்தக் கோரிக்கையை இயக்கு
உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்
Fibo Edit பற்றி
நுணுக்கமான கட்டுப்பாட்டுடன் படத்தைத் திருத்துகிறது. உள்ளீடுகளில் `image_url`, விருப்பத்தேர்வு `mask_url`, மேலும் `instruction` அல்லது முன்கூட்டியே உருவாக்கப்பட்ட `vgl` ஆகியவை அடங்கும். மாற்றத்தை அடிப்படையாகக் கொண்டு திருத்த, `original_vgl` மற்றும் `new_vgl` ஆகியவற்றையும் வழங்கலாம். `steps_num` 20 முதல் 50 வரை இருக்கும் (இயல்புநிலை 30); `guidance_scale`, `negative_prompt` மற்றும் `seed` ஆகியவையும் கிடைக்கின்றன.
அளவுருக்கள்
நியமப் பெயர் அல்லது நேட்டிவ் பெயர் இரண்டில் ஒன்றை மட்டும் அனுப்பவும். நியமப் பெயர்கள்
image_urlவிருப்பத்தேர்வு
image
mask_urlவிருப்பத்தேர்வு
mask
instructionவிருப்பத்தேர்வு
vglவிருப்பத்தேர்வு
vgl.short_descriptionவிருப்பத்தேர்வு
vgl.objectsவிருப்பத்தேர்வு
vgl.objects[].descriptionவிருப்பத்தேர்வு
vgl.objects[].locationவிருப்பத்தேர்வு
vgl.objects[].relationshipதேவை
vgl.objects[].relative_sizeவிருப்பத்தேர்வு
vgl.objects[].shape_and_colorவிருப்பத்தேர்வு
vgl.objects[].textureவிருப்பத்தேர்வு
vgl.objects[].appearance_detailsவிருப்பத்தேர்வு
vgl.objects[].number_of_objectsவிருப்பத்தேர்வு
vgl.objects[].poseவிருப்பத்தேர்வு
vgl.objects[].expressionவிருப்பத்தேர்வு
vgl.objects[].clothingவிருப்பத்தேர்வு
vgl.objects[].actionவிருப்பத்தேர்வு
vgl.objects[].genderவிருப்பத்தேர்வு
vgl.objects[].skin_tone_and_textureவிருப்பத்தேர்வு
vgl.objects[].orientationவிருப்பத்தேர்வு
vgl.background_settingவிருப்பத்தேர்வு
vgl.lightingவிருப்பத்தேர்வு
vgl.lighting.conditionsவிருப்பத்தேர்வு
vgl.lighting.directionவிருப்பத்தேர்வு
vgl.lighting.shadowsவிருப்பத்தேர்வு
vgl.aestheticsவிருப்பத்தேர்வு
vgl.aesthetics.compositionவிருப்பத்தேர்வு
vgl.aesthetics.color_schemeவிருப்பத்தேர்வு
vgl.aesthetics.mood_atmosphereவிருப்பத்தேர்வு
vgl.aesthetics.preference_scoreவிருப்பத்தேர்வு
vgl.aesthetics.aesthetic_scoreவிருப்பத்தேர்வு
vgl.photographic_characteristicsவிருப்பத்தேர்வு
vgl.photographic_characteristics.depth_of_fieldவிருப்பத்தேர்வு
vgl.photographic_characteristics.focusவிருப்பத்தேர்வு
vgl.photographic_characteristics.camera_angleவிருப்பத்தேர்வு
vgl.photographic_characteristics.lens_focal_lengthவிருப்பத்தேர்வு
vgl.style_mediumவிருப்பத்தேர்வு
vgl.text_renderவிருப்பத்தேர்வு
vgl.contextவிருப்பத்தேர்வு
vgl.artistic_styleவிருப்பத்தேர்வு
vgl.edit_instructionவிருப்பத்தேர்வு
original_vglவிருப்பத்தேர்வு
original_vgl.short_descriptionவிருப்பத்தேர்வு
original_vgl.objectsவிருப்பத்தேர்வு
original_vgl.objects[].descriptionவிருப்பத்தேர்வு
original_vgl.objects[].locationவிருப்பத்தேர்வு
original_vgl.objects[].relationshipதேவை
original_vgl.objects[].relative_sizeவிருப்பத்தேர்வு
original_vgl.objects[].shape_and_colorவிருப்பத்தேர்வு
original_vgl.objects[].textureவிருப்பத்தேர்வு
original_vgl.objects[].appearance_detailsவிருப்பத்தேர்வு
original_vgl.objects[].number_of_objectsவிருப்பத்தேர்வு
original_vgl.objects[].poseவிருப்பத்தேர்வு
original_vgl.objects[].expressionவிருப்பத்தேர்வு
original_vgl.objects[].clothingவிருப்பத்தேர்வு
original_vgl.objects[].actionவிருப்பத்தேர்வு
original_vgl.objects[].genderவிருப்பத்தேர்வு
original_vgl.objects[].skin_tone_and_textureவிருப்பத்தேர்வு
original_vgl.objects[].orientationவிருப்பத்தேர்வு
original_vgl.background_settingவிருப்பத்தேர்வு
original_vgl.lightingவிருப்பத்தேர்வு
original_vgl.lighting.conditionsவிருப்பத்தேர்வு
original_vgl.lighting.directionவிருப்பத்தேர்வு
original_vgl.lighting.shadowsவிருப்பத்தேர்வு
original_vgl.aestheticsவிருப்பத்தேர்வு
original_vgl.aesthetics.compositionவிருப்பத்தேர்வு
original_vgl.aesthetics.color_schemeவிருப்பத்தேர்வு
original_vgl.aesthetics.mood_atmosphereவிருப்பத்தேர்வு
original_vgl.aesthetics.preference_scoreவிருப்பத்தேர்வு
original_vgl.aesthetics.aesthetic_scoreவிருப்பத்தேர்வு
original_vgl.photographic_characteristicsவிருப்பத்தேர்வு
original_vgl.photographic_characteristics.depth_of_fieldவிருப்பத்தேர்வு
original_vgl.photographic_characteristics.focusவிருப்பத்தேர்வு
original_vgl.photographic_characteristics.camera_angleவிருப்பத்தேர்வு
original_vgl.photographic_characteristics.lens_focal_lengthவிருப்பத்தேர்வு
original_vgl.style_mediumவிருப்பத்தேர்வு
original_vgl.text_renderவிருப்பத்தேர்வு
original_vgl.contextவிருப்பத்தேர்வு
original_vgl.artistic_styleவிருப்பத்தேர்வு
original_vgl.edit_instructionவிருப்பத்தேர்வு
new_vglவிருப்பத்தேர்வு
new_vgl.short_descriptionவிருப்பத்தேர்வு
new_vgl.objectsவிருப்பத்தேர்வு
new_vgl.objects[].descriptionவிருப்பத்தேர்வு
new_vgl.objects[].locationவிருப்பத்தேர்வு
new_vgl.objects[].relationshipதேவை
new_vgl.objects[].relative_sizeவிருப்பத்தேர்வு
new_vgl.objects[].shape_and_colorவிருப்பத்தேர்வு
new_vgl.objects[].textureவிருப்பத்தேர்வு
new_vgl.objects[].appearance_detailsவிருப்பத்தேர்வு
new_vgl.objects[].number_of_objectsவிருப்பத்தேர்வு
new_vgl.objects[].poseவிருப்பத்தேர்வு
new_vgl.objects[].expressionவிருப்பத்தேர்வு
new_vgl.objects[].clothingவிருப்பத்தேர்வு
new_vgl.objects[].actionவிருப்பத்தேர்வு
new_vgl.objects[].genderவிருப்பத்தேர்வு
new_vgl.objects[].skin_tone_and_textureவிருப்பத்தேர்வு
new_vgl.objects[].orientationவிருப்பத்தேர்வு
new_vgl.background_settingவிருப்பத்தேர்வு
new_vgl.lightingவிருப்பத்தேர்வு
new_vgl.lighting.conditionsவிருப்பத்தேர்வு
new_vgl.lighting.directionவிருப்பத்தேர்வு
new_vgl.lighting.shadowsவிருப்பத்தேர்வு
new_vgl.aestheticsவிருப்பத்தேர்வு
new_vgl.aesthetics.compositionவிருப்பத்தேர்வு
new_vgl.aesthetics.color_schemeவிருப்பத்தேர்வு
new_vgl.aesthetics.mood_atmosphereவிருப்பத்தேர்வு
new_vgl.aesthetics.preference_scoreவிருப்பத்தேர்வு
new_vgl.aesthetics.aesthetic_scoreவிருப்பத்தேர்வு
new_vgl.photographic_characteristicsவிருப்பத்தேர்வு
new_vgl.photographic_characteristics.depth_of_fieldவிருப்பத்தேர்வு
new_vgl.photographic_characteristics.focusவிருப்பத்தேர்வு
new_vgl.photographic_characteristics.camera_angleவிருப்பத்தேர்வு
new_vgl.photographic_characteristics.lens_focal_lengthவிருப்பத்தேர்வு
new_vgl.style_mediumவிருப்பத்தேர்வு
new_vgl.text_renderவிருப்பத்தேர்வு
new_vgl.contextவிருப்பத்தேர்வு
new_vgl.artistic_styleவிருப்பத்தேர்வு
new_vgl.edit_instructionவிருப்பத்தேர்வு
seedவிருப்பத்தேர்வு
steps_numவிருப்பத்தேர்வு
negative_promptவிருப்பத்தேர்வு
guidance_scaleவிருப்பத்தேர்வு
கோப்பு அளவுருக்கள் பொதுவான https:// URL, 10 MB வரையிலான data: URI அல்லது பதிவேற்றத்தின் file_url-ஐ ஏற்கும். கோப்புகள்
வெளியீடு
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-edit/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"vgl": {},
"structured_instruction": {}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
வெளியீட்டின் புலங்கள்
- image
- object {url, content_type, file_name, file_size, width, height}மாதிரி உருவாக்கிய படம்.
- images
- array of object {url, content_type, file_name, file_size, width, height}உருவாக்கத்தால் தயாரிக்கப்படும் படங்கள்.
- vgl
- objectபடத்தை உருவாக்கப் பயன்படுத்தப்படும் VGL ஆவணம்.
- structured_instruction
- objectஅதே ஆவணத்திற்கான நீக்கப்பட்ட மாற்றுப்பெயர்; அதற்குப் பதிலாக `vgl` ஐப் பயன்படுத்தவும்.
பிற Fibo Edit மாறுபாடுகள்
மேலும் மாதிரிகள்: படத் திருத்தம்
AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/bria/fibo-edit/edit.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt






